<div>
<table style="width:100%;margin-bottom:-10px" class="form-inline">
<tr ng-repeat="e in $root.active.state.extruder track by $index">
<td style="width:1px;padding-right:4px">
<input type="radio" ng-show="$root.activeConfig.extruders[$index].toolType<4" ng-value="$index" ng-model="$root.active.state.activeExtruder" ng-disabled="!$ctrl.idle || !$root.user.printPermission" ng-change="$root.RSPrinter.selectExtruder($index)">
</td>
<td style="width:1px;text-align: center;padding:0 4px"><i class="{{$root.RSPrinter.extruderIcon($index)}} rs-bigtab"></i></td>
<td>{{$root.RSPrinter.extruderName($index)}}
</td>
<td style="text-align:right;padding-bottom:10px">
<span rs-dropdown dropdown-append-to-body is-open="$ctrl.mopen['E'+$index]" ng-if="$root.activeConfig.extruders[$index].supportTemperature">
<a href rs-dropdown-toggle>
{{e | tempFull:1}} <i class="fa fa-caret-down" ng-if="$root.user.printPermission"></i>
</a>
<ul rs-dropdown-menu class="dropdown-menu-right" ng-show="$root.user.printPermission">
<li ng-click="$event.stopPropagation()" style="height:80px">
<knob min="0" max="{{$root.activeConfig.extruders[$index].maxTemp}}" value="$root.active.state.extruder[$index].tempSet" changed="$root.RSPrinter.setExtruderTemperature($index,value)"></knob>
</li>
<li class="divider"></li>
<li>
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setExtruderTemperature($index,0);$ctrl.closeMenu('E'+$index)"><?php _('Off') ?></a>
</li>
<li class="divider" ng-show="$root.activeConfig.extruders[$index].temperatures.length>0"></li>
<li ng-repeat="t in $root.activeConfig.extruders[$index].temperatures track by $index">
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setExtruderTemperature($parent.$index,t.temp);$ctrl.closeMenu('E'+$parent.$index)">{{t.name}}</a>
</li>
</ul>
</span>
</td>
</tr>
<tr ng-repeat="h in $root.activeConfig.heatedBeds track by 'b'+$index">
<td></td>
<td style="width:1px;text-align: center;padding:0 4px">
<i class="rs rs-heated-bed rs-bigtab"></i></td>
<td>{{$root.RSPrinter.bedName($index)}}</td>
<td style="text-align:right;padding-bottom:10px;text-wrap: none">
<span rs-dropdown dropdown-append-to-body is-open="$ctrl.mopen['B'+$index]"><a href rs-dropdown-toggle>
{{$root.active.state.heatedBeds[$index] | tempFull:1}}
<i class="fa fa-caret-down" ng-if="$root.user.printPermission"></i>
</a>
<ul rs-dropdown-menu class="dropdown-menu-right">
<li ng-click="$event.stopPropagation()" ng-show="$root.user.printPermission">
<knob min="0" max="{{$root.activeConfig.heatedBeds[$index].maxTemp}}" value="$root.active.state.heatedBeds[$index].tempSet" changed="$root.RSPrinter.setBedTemperature(value, $index)"></knob>
</li>
<li class="divider"></li>
<li>
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setBedTemperature(0,$index);$ctrl.closeMenu('B'+$index)"><?php _('Off') ?></a>
</li>
<li class="divider" ng-show="$root.activeConfig.heatedBeds[$index].temperatures.length>0"></li>
<li ng-repeat="t in $root.activeConfig.heatedBeds[$index].temperatures track by $index">
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setBedTemperature(t.temp,$parent.$index);$ctrl.closeMenu('B'+$parent.$index)">{{t.name}}</a>
</li>
</ul>
</span>
</td>
</tr>
<tr ng-repeat="h in $root.activeConfig.heatedChambers track by 'c'+$index">
<td></td>
<td style="width:1px;text-align: center;padding:0 4px">
<i ng-class="$ctrl.RSPrinter.chamberIcon($index)" class="rs-bigtab"></i></td>
<td>{{$root.RSPrinter.chamberName($index)}}
</td>
<td style="text-align:right;padding-bottom:10px;text-wrap: none">
<span ng-if="$root.activeConfig.heatedChambers[$index].supportTemperature">
<span rs-dropdown dropdown-append-to-body is-open="$ctrl.mopen['C'+$index]"><a href rs-dropdown-toggle>
{{$root.active.state.heatedChambers[$index] | tempFull:1}}
<i class="fa fa-caret-down" ng-if="$root.user.printPermission"></i>
</a>
<ul rs-dropdown-menu class="dropdown-menu-right">
<li ng-click="$event.stopPropagation()" ng-show="$root.user.printPermission">
<knob min="0" max="{{$root.activeConfig.heatedChambers[$index].maxTemp}}" value="$root.active.state.heatedChambers[$index].tempSet" changed="$root.RSPrinter.setChamberTemperature(value, $index)"></knob>
</li>
<li class="divider"></li>
<li>
<a href="javascript:void(0)" ng-click="$root.RSPrinter.setChamberTemperature(0, $index);$ctrl.closeMenu('C'+$index)"><?php _('Off') ?></a>
</li>
<li class="divider" ng-show="$root.activeConfig.heatedChambers[$index].temperatures.length>0"></li>
<li ng-repeat="t in $root.activeConfig.heatedChambers[$parent.$index].temperatures track by $index"><a href="javascript:void(0)" ng-click="$root.RSPrinter.setChamberTemperature(t.temp,$parent.$index);$ctrl.closeMenu('C'+$parent.$index)">{{t.name}}</a>
</li>
</ul>
</span>
</span>
<span ng-if="!$root.activeConfig.heatedChambers[$index].supportTemperature">
{{$root.active.state.heatedChambers[$index] | tempFullConf:$root.activeConfig.heatedChambers[$index]:1}}
</span>
</td>
</tr>
</table>
</div>
